+++
title = "Libremesh Gerät einrichten"
+++
# Libremesh
Für normale Reudnetz Anschlüsse trifft die folgende Anleitung nicht zu.
Jedoch gibt es innerhalb von Leipzig einige Community-Netzwerke, die mit Libremesh betrieben werden.
Da mindestens eines davon mit dem Reudnetz verbunden ist, haben wir hier mal zusammengefasst, wie Geräte für diese Netzwerke eingerichtet werden können.

## Chef
Die einfachste Art ein Image zu generieren ist der Webservice [chef.libremesh.org](https://chef.libremesh.org)
In Menü lässt sich der Router, für den ein Image erstellt werden soll und die Firmware version auswählen.
Wir empfehlen, die aktuelle Stable-Version auszuwählen. Zum Zeitpunkt des schreibens ist das `19.07.7`.

Zusätzlich müssen noch die verwendenten Pakete angepasst werden. Das geht unter `+customize`
Dort wird die Paketliste durch folgende Pakete ersetzt:

    base-files busybox ca-bundle -dnsmasq dnsmasq-dhcpv6 dropbear firewall fstools 
    ip6tables iptables kmod-gpio-button-hotplug kmod-ipt-offload kmod-usb2 
    libgcc libustream-wolfssl logd luci mtd netifd odhcp6c odhcpd-ipv6only opkg ppp
    ppp-mod-pppoe procd rssileds swconfig uboot-envtools ucert uci uclient-fetch
    urandom-seed urngd wpad-mesh-wolfssl wpa-cli bmx7 bmx7-iwinfo bmx7-json bmx7-sms
    bmx7-table bmx7-tun bmx7-uci-config bmx7-auto-gw-mode lime-proto-bmx7 
    lime-proto-anygw uhttpd-mod-lua shared-state shared-state-dnsmasq_hosts 
    shared-state-dnsmasq_leases wifi-unstuck-wa bmx7-dnsupdate kmod-ath9k 

Das letzte Paket in der Liste ist das Kernelmodul für den wifi-chipsatz. Dieser muss evtl. passend ausgewählt werden oder kann weggelassen werden.

Nach einiger Zeit können zwei Images heruntergeladen werden. _factory_ ist für neue Geräte, auf die noch kein OpenWRT gespielt wurde. _sysupgrade_ updatet ein bereits installiertes OpenWRT.

## Community Profile
Nachdem Libremesh auf dem Router installiert ist, muss das _Community Profile_ auf den Router kopiert werden.
Das Profile liegt unter (https://github.com/libremesh/network-profiles/tree/master/freifunk)
* _80211s-sae-bmx7-batadv_ für Accesspoints
* _80211s-sae-bmx7-only_ für Antennen im Backbone

Alternativ kann auch `/etc/config/lime-community` von einem bereits bestehenden Lime-Gerät auf den neuen Router kopiert und angepasst werden.

Darüber hinaus existiert das Paket das das Freifunk Community Profile enthält.
